Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class InstalledInstanceModule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.sorm.common.bean.InstalledInstanceModule

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class InstalledInstanceModule extends IdTitle
Бин установленного экземпляра модуля, который подлежит выгрузке в рамках СОРМ

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstalledInstanceModule()`
  `InstalledInstanceModule(String title, String titleModule, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getModuleId()`
  Возвращает id экземпляра модуля
  `String`
  `getTitleModule()`
  Возвращает название модуля
  `boolean`
  `isSelected()`
  Флаг, что экземпляр модуля выбран для выгрузки
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setSelected(boolean selected)`
  Установить флаг, чтобы выгружались данные по экземпляру модуля
  `InstalledInstanceModule`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `void`
  `setTitleModule(String titleModule)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### InstalledInstanceModule

    public InstalledInstanceModule()

  - ### InstalledInstanceModule

    public InstalledInstanceModule(String title, String titleModule, int mid)

- ## Method Details

  - ### getTitleModule

    public String getTitleModule()
    Возвращает название модуля
    Returns:

  - ### setTitleModule

    public void setTitleModule(String titleModule)

  - ### setTitle

    public InstalledInstanceModule setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### getModuleId

    public int getModuleId()
    Возвращает id экземпляра модуля
    Returns:

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### isSelected

    public boolean isSelected()
    Флаг, что экземпляр модуля выбран для выгрузки
    Returns:

  - ### setSelected

    public void setSelected(boolean selected)
    Установить флаг, чтобы выгружались данные по экземпляру модуля
    Parameters:
      `selected` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.